I just did a live upgrade from LEAP 42.3 to LEAP 15.0 and I'm experiencing vlc issues
trying to open any video file I get seg fault
Code:
> vlc video.mkv 
VLC media player 3.0.2 Vetinari (revision 3.0.2-0-gd7b653cf14)
[0000557a46cd6c70] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[00007f58dc001f70] egl_x11 gl error: cannot select OpenGL API
libva info: VA-API version 1.0.0
libva info: va_getDriverName() returns -1
libva info: User requested driver 'vdpau'
libva info: Trying to open /usr/lib64/dri/vdpau_drv_video.so
libva info: Found init function __vaDriverInit_1_0
Segmentation fault (core dumped)
it turns out the vdpau decoder has been put in a separate package that did not get installed after installing vlc-vdpau and setting vdpau as the preferred backend vlc works but I still get errors
Code:
> vlc video.mkv 
VLC media player 3.0.2 Vetinari (revision 3.0.2-0-gd7b653cf14)
[00005563fb41dc70] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[00007f0fa4001f70] egl_x11 gl error: cannot select OpenGL API
[00007f0fbcc0c3b0] avcodec decoder: Using NVIDIA VDPAU Driver Shared Library  340.106  Tue Jan  9 14:26:01 PST 2018 for hardware decoding
as far as I can tell I have all needed packages installed
Code:
> zypper se -si egl
Loading repository data...
Warning: Repository 'Online updates for openSUSE Leap 15.0 NonFree (standard)' appears to be outdated. Consider using a different mirror or server.
Reading installed packages...

S | Name              | Type    | Version           | Arch   | Repository                   
--+-------------------+---------+-------------------+--------+------------------------------
i | Mesa-libEGL-devel | package | 18.0.2-lp150.17.2 | x86_64 | openSUSE Leap 15.0 (standard)
i | Mesa-libEGL1      | package | 18.0.2-lp150.17.2 | x86_64 | openSUSE Leap 15.0 (standard)
i | gegl-0_3          | package | 0.3.34-lp150.1.1  | x86_64 | openSUSE Leap 15.0 (standard)
i | gegl-0_3-lang     | package | 0.3.34-lp150.1.1  | noarch | openSUSE Leap 15.0 (standard)
i | libgegl-0_3-0     | package | 0.3.34-lp150.1.1  | x86_64 | openSUSE Leap 15.0 (standard)
i | libwayland-egl1   | package | 18.0.2-lp150.17.2 | x86_64 | openSUSE Leap 15.0 (standard)
I have a geforce 240 with the G03 driver from nvidia installed
I'm writing this to see if any other users have this issue or maybe it was caused by the live upgrade as I did notice a few other hiccups like susefirewall2 being still installed and active and firewalld being disabled and the icons on the pinned apps on the plasma 5 menu bar being gone
any ideas are welcomed